Util.Xml
Keywords: org.jrobin.core.Util.Xml class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jrobin.core
Class Util.Xml

    java.lang.Object
      org.jrobin.core.Util.Xml

Enclosing class:
  Util

public static class Util.Xml
extends java.lang.Object

Various DOM utility functions

Constructor Summary
`Util.Xml()`

Method Summary
`static org.w3c.dom.Node[]` | `getChildNodes(org.w3c.dom.Node parentNode)`
`static org.w3c.dom.Node[]` | `getChildNodes(org.w3c.dom.Node parentNode, java.lang.String childName)`
`static java.lang.String` | `getChildValue(org.w3c.dom.Node parentNode, java.lang.String childName)`
`static java.lang.String` | `getChildValue(org.w3c.dom.Node parentNode, java.lang.String childName, boolean trim)`
`static boolean` | `getChildValueAsBoolean(org.w3c.dom.Node parentNode, java.lang.String childName)`
`static double` | `getChildValueAsDouble(org.w3c.dom.Node parentNode, java.lang.String childName)`
`static int` | `getChildValueAsInt(org.w3c.dom.Node parentNode, java.lang.String childName)`
`static long` | `getChildValueAsLong(org.w3c.dom.Node parentNode, java.lang.String childName)`
`static org.w3c.dom.Node` | `getFirstChildNode(org.w3c.dom.Node parentNode, java.lang.String childName)`
`static org.w3c.dom.Element` | `getRootElement(java.io.File xmlFile)`
`static org.w3c.dom.Element` | `getRootElement(org.xml.sax.InputSource inputSource)`
`static org.w3c.dom.Element` | `getRootElement(java.lang.String xmlString)`
`static java.lang.String` | `getValue(org.w3c.dom.Node node)`
`static java.lang.String` | `getValue(org.w3c.dom.Node node, boolean trimValue)`
`static boolean` | `getValueAsBoolean(org.w3c.dom.Node node)`
`static double` | `getValueAsDouble(org.w3c.dom.Node node)`
`static int` | `getValueAsInt(org.w3c.dom.Node node)`
`static long` | `getValueAsLong(org.w3c.dom.Node node)`
`static boolean` | `hasChildNode(org.w3c.dom.Node parentNode, java.lang.String childName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util.Xml

    public Util.Xml()

Method Detail

### getChildNodes

    public static org.w3c.dom.Node[] getChildNodes(org.w3c.dom.Node parentNode)

### getChildNodes

    public static org.w3c.dom.Node[] getChildNodes(org.w3c.dom.Node parentNode,
                                                   java.lang.String childName)

### getFirstChildNode

    public static org.w3c.dom.Node getFirstChildNode(org.w3c.dom.Node parentNode,
                                                     java.lang.String childName)
                                              throws RrdException

  Throws:
    `RrdException`

### hasChildNode

    public static boolean hasChildNode(org.w3c.dom.Node parentNode,
                                       java.lang.String childName)

### getChildValue

    public static java.lang.String getChildValue(org.w3c.dom.Node parentNode,
                                                 java.lang.String childName)
                                          throws RrdException

  Throws:
    `RrdException`

### getChildValue

    public static java.lang.String getChildValue(org.w3c.dom.Node parentNode,
                                                 java.lang.String childName,
                                                 boolean trim)
                                          throws RrdException

  Throws:
    `RrdException`

### getValue

    public static java.lang.String getValue(org.w3c.dom.Node node)

### getValue

    public static java.lang.String getValue(org.w3c.dom.Node node,
                                            boolean trimValue)

### getChildValueAsInt

    public static int getChildValueAsInt(org.w3c.dom.Node parentNode,
                                         java.lang.String childName)
                                  throws RrdException

  Throws:
    `RrdException`

### getValueAsInt

    public static int getValueAsInt(org.w3c.dom.Node node)

### getChildValueAsLong

    public static long getChildValueAsLong(org.w3c.dom.Node parentNode,
                                           java.lang.String childName)
                                    throws RrdException

  Throws:
    `RrdException`

### getValueAsLong

    public static long getValueAsLong(org.w3c.dom.Node node)

### getChildValueAsDouble

    public static double getChildValueAsDouble(org.w3c.dom.Node parentNode,
                                               java.lang.String childName)
                                        throws RrdException

  Throws:
    `RrdException`

### getValueAsDouble

    public static double getValueAsDouble(org.w3c.dom.Node node)

### getChildValueAsBoolean

    public static boolean getChildValueAsBoolean(org.w3c.dom.Node parentNode,
                                                 java.lang.String childName)
                                          throws RrdException

  Throws:
    `RrdException`

### getValueAsBoolean

    public static boolean getValueAsBoolean(org.w3c.dom.Node node)

### getRootElement

    public static org.w3c.dom.Element getRootElement(org.xml.sax.InputSource inputSource)
                                              throws RrdException,
                                                     java.io.IOException

  Throws:
    `RrdException`
    `java.io.IOException`

### getRootElement

    public static org.w3c.dom.Element getRootElement(java.lang.String xmlString)
                                              throws RrdException,
                                                     java.io.IOException

  Throws:
    `RrdException`
    `java.io.IOException`

### getRootElement

    public static org.w3c.dom.Element getRootElement(java.io.File xmlFile)
                                              throws RrdException,
                                                     java.io.IOException

  Throws:
    `RrdException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD